Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 03-27-07, 02:56 PM   #1
Sylvain59
Registered User
 
Join Date: Mar 2007
Location: France
Posts: 9
Default Legacy driver and Compiz/Beryl

I have 2 questions.

1) Does the legacy driver supports Beryl/Compiz?

2) Does it support the GLX_EXT_texture_from_pixmap extension?

I ask that because Ubuntu users seem to be unable to use Beryl/Compiz with the legacy driver.

Thanks in advance.
Sylvain59 is offline   Reply With Quote
Old 03-27-07, 02:58 PM   #2
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Legacy driver and Compiz/Beryl

The 1.0-96xx legacy branch provides GLX_EXT_texture_from_pixmap support.
The 1.0-71xx legacy branch does not.

The driver README documents which graphics cards are supported in each branch.
netllama is offline   Reply With Quote
Old 03-28-07, 01:38 AM   #3
silwol
Registered User
 
Join Date: Mar 2007
Posts: 6
Default Re: Legacy driver and Compiz/Beryl

Quote:
Originally Posted by netllama
The 1.0-96xx legacy branch provides GLX_EXT_texture_from_pixmap support.
Will this legacy driver be supported the same way the 74xx driver is supported at the moment?
silwol is offline   Reply With Quote
Old 03-28-07, 10:45 AM   #4
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Legacy driver and Compiz/Beryl

I'm not sure that I understand the question.
netllama is offline   Reply With Quote
Old 03-28-07, 11:05 AM   #5
Sylvain59
Registered User
 
Join Date: Mar 2007
Location: France
Posts: 9
Default Re: Legacy driver and Compiz/Beryl

I think he means there is no support any more for the 1.0-71xx legacy driver (support for newer kernels etc).

He fears it becomes the same for the 1.0-96xx legacy driver...
Sylvain59 is offline   Reply With Quote
Old 03-28-07, 11:18 AM   #6
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Legacy driver and Compiz/Beryl

That is not the case for either legacy driver branch. Both will continue to be supported for critical bug fixes, and future Linux kernel & Xorg compatibility updates.
netllama is offline   Reply With Quote
Old 03-28-07, 11:40 AM   #7
KeithMoyer
Registered User
 
Join Date: Mar 2007
Posts: 2
Default Re: Legacy driver and Compiz/Beryl

I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers (only keeping 71xx and 97xx lines) because they have interpreted your announcements as saying the 96xx line will be abandoned and cards not supported in 97xx need to fall back to using 71xx.

So, will there be maintenance/security updates to the 96xx line?

EDIT: I see you already answered my question. So, the answer is yes. Thank you for the clarification.
KeithMoyer is offline   Reply With Quote
Old 03-28-07, 01:31 PM   #8
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default Re: Legacy driver and Compiz/Beryl

I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers

They have not said that. They have said they are unsure how the packagers and package management system is going to handle it.

Adam
adamk75 is offline   Reply With Quote

Old 03-28-07, 01:43 PM   #9
KeithMoyer
Registered User
 
Join Date: Mar 2007
Posts: 2
Default Re: Legacy driver and Compiz/Beryl

Quote:
Originally Posted by adamk75
I have a feeling it stems from the Ubuntu developers recently saying they will not support a third line of nvidia drivers

They have not said that. They have said they are unsure how the packagers and package management system is going to handle it.

Adam
"9631 is done. Updates to it come in the form of updates to the latest driver, currently 9755. The only driver that nvidia currently supports for these cards is 7184, since they dropped support in 9755." - Ben Collins, Ubuntu Kernel Developer

But, regardless, my question was answered, and I'm sure everything will get straightened out at Ubuntu. That should be of no concern to this discussion, though.
KeithMoyer is offline   Reply With Quote
Old 03-28-07, 03:23 PM   #10
adamk75
Registered User
 
Join Date: Nov 2006
Posts: 228
Default Re: Legacy driver and Compiz/Beryl

Quote:
Originally Posted by KeithMoyer
"9631 is done. Updates to it come in the form of updates to the latest driver, currently 9755. The only driver that nvidia currently supports for these cards is 7184, since they dropped support in 9755." - Ben Collins, Ubuntu Kernel Developer

But, regardless, my question was answered, and I'm sure everything will get straightened out at Ubuntu. That should be of no concern to this discussion, though.
Where, in those three sentences, did Ben say that Ubuntu was not going to support a third line of nvidia drivers?

Adam
adamk75 is offline   Reply With Quote
Old 03-29-07, 01:14 AM   #11
silwol
Registered User
 
Join Date: Mar 2007
Posts: 6
Default Re: Legacy driver and Compiz/Beryl

I'm glad the issue seems to be kind of resolved for now, but I still have one more concern:
When using the 1.0.96xx driver for beryl/compiz, I have several bugs that seem to be coming from the driver, like for example the black window bug (http://www.nvnews.net/vbulletin/showthread.php?t=84562). If the 1.0.96xx series only get security updates, does this mean I will have to live with this bug forever as long as I don't buy a new graphics card (which is very unlikely as it is inside my laptop)?
silwol is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 07:53 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.